<?php
/**
 * @package Chris Happens
 * @subpackage Blog Happens
 */
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="all" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link href="<?php bloginfo('stylesheet_directory'); ?>/images/favicon.ico" rel="shortcut icon" type="image/x-icon" />
<!--[if lt IE 7]>
<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/images/unitpngfix.js"></script>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/style-ie6.css" type="text/css" media="screen" />
<![endif]-->

<?php if(get_settings('bhp_content_width') == 'narrow') : ?>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/style-narrow.css" type="text/css" />
<?php endif; ?>

<style>
body {
<?php if(get_settings('bhp_bg_image_enable') == 'on') : ?>
background-image: url(<?php echo get_settings('bhp_bgImage'); ?>);
background-repeat: <?php echo get_settings('bhp_bg_repeat_style'); ?>;
background-position: center top;
<?php endif; ?>
<?php if(get_settings('bhp_bg_color')<>'') : ?>
background-color: #<?php echo get_settings('bhp_bg_color'); ?>;
<?php endif; ?>
}
<?php if(get_settings('bhp_link_color')<>'') : ?>
a {color: #<?php echo get_settings('bhp_link_color'); ?>;}
<?php endif; ?>
<?php if(get_settings('bhp_hover_color')<>'') : ?>
a:hover {color: #<?php echo get_settings('bhp_hover_color'); ?>;}
<?php endif; ?>

<?php echo get_settings('bhp_custom_css'); ?>
</style>

<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>
<body>
<div id="wrapper">
<div id="header"><span></span></div>
<div id="mainbody" class="clearfix">
