<?php
/**
 * @package Chris Happens
 * @subpackage Blog Happens
 */
?>
<?php get_header(); ?>
<div id="content">
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<h1 id="post-<?php the_ID(); ?>"><span class="date"><?php the_time('j F Y') ?></span>
<a href="<?php the_permalink() ?>">
<?php 
if(has_post_thumbnail()) {
	the_post_thumbnail(); } 
else {
	if ( function_exists('get_the_image') ) {
		get_the_image(array( 'custom_key' => array( 'Thumbnail', 'thumbnail' ), 'default_image' => get_bloginfo('template_directory').'/images/thumb.jpg' )); } 
	else {
		?><img src="<?php bloginfo('stylesheet_directory'); ?>/images/thumb.jpg" alt="thumb" /><?php
	}
} ?></a> <?php the_title(); ?></h1>
<div class="entry">
<?php the_content('<p>Read the rest of this entry &raquo;</p>'); ?>
<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
<div>
<?php the_tags( 'Tags: ', ', ', '<br />'); ?> 
<?php if(function_exists('the_views')) { the_views(); } ?>  
</div>
<?php if(function_exists('the_ratings')) { the_ratings(); } ?>  

<?php if ( function_exists('wp_related_posts') ) {?>
<div class="related clearfix"><?php wp_related_posts(); ?></div><!--related-->
<?php } ?>

<?php comments_template(); ?>
</div><!--entry-->
<div class="navigation-foot clearfix">
<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
</div>
<?php endwhile; else: ?>
<p>Sorry, no posts matched your criteria.</p>
<?php endif; ?>


</div><!--content-->
<?php get_sidebar(); ?>
<?php get_footer(); ?>